Bug 787250 - [rhq-agent-env.sh/bat] --daemon should not be in example value for RHQ_AGENT_CMDLINE_OPTS and comment should be added saying --daemon should generally *not* be included in RHQ_AGENT_CMDLINE_OPTS
[rhq-agent-env.sh/bat] --daemon should not be in example value for RHQ_AGENT_...
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2012-02-03 12:04 EST by Ian Springer
Modified: 2013-08-05 20:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-07 14:24:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-02-03 12:04:53 EST
Due to the fact that rhq-agent-env.sh is used by both
rhq-agent-wrapper.sh and rhq-agent.sh, users should never include --daemon when
setting RHQ_AGENT_CMDLINE_OPTS in rhq-agent-env.sh. Including it there would cause the Agent to always start in daemon mode, even when started via rhq-agent.sh, which generally wouldn't make sense, since rhq-agent-wrapper.sh is the recommended way to start the Agent as a daemon.

We should remove it from the commented out "#RHQ_AGENT_CMDLINE_OPTS=" line in the default rhq-agent-env.sh and add a comment telling users to never include --daemon in the value.
Comment 1 Ian Springer 2012-02-03 14:07:19 EST
This is done in master - http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=0ed38f2
Comment 2 Mike Foley 2012-02-07 14:24:10 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.